#! /usr/bin/perl

use strict;
use warnings;


my $tr;
my $pkg = shift;


while (<>)
{
  my $found = 0;

  while (/\Wtr(Utf8)?\s*\(\s*(\".*?[^\\]\")\s*\)/g)
  {
    print "${pkg}::\n{\n" unless ($tr);
    $tr = 1;

    print "  tr ($2)\n";
    $found = 1;
  }

  next if ($found);

  if (/\#\$translate/)
  {
    my @strings = /\".*?[^\\]\"/g;

    print "${pkg}::\n{\n" unless ($tr);
    $tr = 1;

    foreach my $s (@strings)
    {
      print "  tr ($s)\n";
    }

    next;
  }
}


END
{
  print "}\n" if ($tr);
}
